[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libc0.3-xen

Thomas Schwinge, le Thu 07 Oct 2010 10:11:07 +0200, a écrit :
> I'm doing a apt-get dist-upgrade, and libc0.3-686 would now additionally
> be installed -- but this is on a Xen system, so libc0.3-xen would be more
> appropriate, I think?

Yes.  I wanted to announce these new packages, but didn't find the time
to do it.

> And, is the latter one optimized for i686?


> If yes, that should probably be reflected in its documentation snippet
> (as shown by apt-cache show), as otherwise I'd think it's like
> i386-xen.

Well, that's the same for other libc6-xen etc. packages, so you'll have
to check with the glibc packagers. I believe they dropped mentioning
i686 just because something like Xen not being able to run on older
hardware anyway.

> Also, this text says ``will be selected instead when running under Xen''
> -- is this meant to be automatically done?

It's supposed to be, we need to add support for it.

> If so, then it didn't work.

Yes, you need to copy it by hand. Same for libc0.3-i686, we just need to
steal the cpuid code from the kfreebsd port of glibc.


Reply to: